{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-28T06:00:21Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "5eb1b54b790eecc672214ecb1ac0d9edb4380843"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtwebsockets",
            "spdxDocument": "https://qt.io/spdxdocs/qtwebsockets-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "2e813a9075342b9dec79acb4df9338e033b11eec"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qthttpserver-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qthttpserver-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Windows (AMD64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "19.0.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qthttpserver",
            "builtDate": "2024-08-28T06:00:21Z",
            "comment": "Built by CMake 3.27.7 with Release configuration for Emscripten (x86)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qthttpserver.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qthttpserver@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qthttpserver",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "f36ef3fcbdc5e4b63a1a776748fc84793528742e"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qthttpserver.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qthttpserver?library_name=HttpServer#src/httpserver",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qthttpserver-HttpServer?vcs_url=https://code.qt.io/qt/qthttpserver.git&library_name=HttpServer#src/httpserver",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qthttpserver:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "name": "HttpServer",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "dd9e5e3211d3e178db94b22b9c4d1f2975d8f74b"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6HttpServer.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qthttpserver is built by compiler Clang (C:/Utils/emsdk/upstream/emscripten/em++.bat) version 19.0.0",
            "relatedSpdxElement": "SPDXRef-Package-qthttpserver",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qthttpserver",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Network",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relatedSpdxElement": "DocumentRef-qtwebsockets:SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver",
            "relatedSpdxElement": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qthttpserver-qt-module-HttpServer",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/C:/Users/qt/work/qt/qthttpserver/build/target/include/QtHttpServer/qthttpserverexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qabstracthttpserver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qabstracthttpserver.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qabstracthttpserver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserver.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverhttp1protocolhandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverhttp1protocolhandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverliterals.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverliterals_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrequest.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrequest.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrequest_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverresponder.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverresponder.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverresponder_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverresponse.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverresponse.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverresponse_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouterrule.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouterrule.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouterrule_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverrouterviewtraits.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverstream.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverstream_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverviewtraits.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverviewtraits_impl.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverwebsocketupgraderesponse.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qhttpserverwebsocketupgraderesponse.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/qthttpserverglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-HttpServer",
            "comment": "C:/Users/qt/work/qt/qthttpserver/src/httpserver/C:/Users/qt/work/qt/qthttpserver/build/target/src/httpserver/meta_types/qt6httpserver_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}